http://www.perlmonks.org?node_id=673787


in reply to Re^3: How can I (safely) use packages of the same name but different versions?
in thread How can I (safely) use packages of the same name but different versions?

The database thing happens to be a non-hypothetical question for me. I'm not giving details because my actual situation involves Java, not Perl, but the concept is the same.